<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="bast_bpkb1" pageWidth="612" pageHeight="396" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="572" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="dc2219fc-f4eb-421b-a3ae-61f2cbdeccbe">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="mpm"/>
	<property name="com.jaspersoft.studio.unit." value="inch"/>
	<property name="net.sf.jasperreports.awt.ignore.missing.font" value="true"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="inch"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="inch"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="inch"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="inch"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="inch"/>
	<parameter name="userlogin" class="java.lang.String"/>
	<parameter name="bastnumber" class="java.lang.String"/>
	<queryString language="SQL">
		<![CDATA[SELECT DISTINCT CONCAT (prs.fname,' ' ,prs.lname) as nama_Bpkb, v.idframe, v.idmachine, p.description, vdr.policenumber,ud.bpkbnumber, CONCAT (prs.fname,' ' ,prs.lname) as nama_Customer, pa.address1 as alamat,
CONCAT (posper.fname,' ' ,posper.lname) as Nama_user, CONCAT (ptper.fname,' ' ,ptper.lname) as nama_Afc, ud.name, ud.identitynumber, ud.cellphone,dealer.name, st.description, ud.bastnumber
from vehicle_document_requirement_begbal vdr
join sale_type  st on vdr.idsaletype = st.idsaletype
join person prs on vdr.idpersonowner = prs.idparty
join party_contact_mechanism pcm on prs.idparty = pcm.idparty
join postal_address pa on pcm.idcontact = pa.idcontact
join vehicle v on vdr.idvehicle = v.idvehicle
join product p on v.idproduct = p.idproduct
left join unit_deliverable_begbal ud  on ud.idreq = vdr.idreq

left join internal i on vdr.idinternal = i.idinternal
LEFT JOIN positions pos on i.idinternal = pos.idinternal and pos.idpostyp = 17
left join user_mediator um on pos.idusrmed = um.idusrmed
left join person posper on um.idperson = posper.idparty

LEFT JOIN positions pt on i.idinternal = pt.idinternal and pt.idpostyp = 16
left join user_mediator uml on pt.idusrmed = uml.idusrmed
left join person ptper on uml.idperson = ptper.idparty


left join organization dealer on (i.idparty = dealer.idparty)
left join positions po on dealer.idparty = po.idorganization and po.idpostyp in (16)
left join position_fullfillment pf on po.idposition = pf.idposition
left join person pic on pf.idperson = pic.idparty
where ud.name is not null and ud.bastnumber =  $P{bastnumber} and pa.address1 is not null and bpkbnumber is not null]]>
	</queryString>
	<field name="nama_Bpkb" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_Bpkb"/>
	</field>
	<field name="idframe" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idframe"/>
	</field>
	<field name="idmachine" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idmachine"/>
	</field>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="description"/>
	</field>
	<field name="policenumber" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="policenumber"/>
	</field>
	<field name="bpkbnumber" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="bpkbnumber"/>
	</field>
	<field name="nama_Customer" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_Customer"/>
	</field>
	<field name="alamat" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="alamat"/>
	</field>
	<field name="Nama_user" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="Nama_user"/>
	</field>
	<field name="nama_Afc" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nama_Afc"/>
	</field>
	<field name="name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="name"/>
	</field>
	<field name="identitynumber" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="identitynumber"/>
	</field>
	<field name="cellphone" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="cellphone"/>
	</field>
	<field name="COLUMN_14" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="name"/>
	</field>
	<field name="COLUMN_15" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="description"/>
	</field>
	<field name="bastnumber" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="bastnumber"/>
	</field>
	<variable name="NoUrut" class="java.lang.Integer" resetType="None" calculation="Count">
		<variableExpression><![CDATA[$V{NoUrut}]]></variableExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="49" splitType="Stretch">
			<staticText>
				<reportElement x="178" y="12" width="198" height="14" uuid="e3930826-b0af-4213-9959-0740914ddb04"/>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="Tahoma" size="9"/>
				</textElement>
				<text><![CDATA[Berita Acara Serah Terima]]></text>
			</staticText>
			<textField pattern="dd-MMMM-YYYY">
				<reportElement x="472" y="0" width="100" height="16" uuid="229b0122-e9ed-4f44-800b-84f0832c90d9"/>
				<textElement textAlignment="Right">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="0" width="100" height="15" uuid="cca3846c-b242-4351-b879-f3a385ad8d8c"/>
				<textElement verticalAlignment="Middle">
					<font size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{COLUMN_14}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="237" y="26" width="145" height="20" uuid="8a3290d9-87f8-4562-8953-a6a9b0b4a464"/>
				<textFieldExpression><![CDATA[$F{bastnumber}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="196" y="26" width="41" height="20" uuid="b3821433-657d-42ff-a156-184217eb6e9b"/>
				<text><![CDATA[Nomor :]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="99" splitType="Stretch">
			<staticText>
				<reportElement x="10" y="0" width="270" height="16" uuid="39f54906-5833-46d7-bfbc-79117cd157b5"/>
				<textElement>
					<font fontName="Tahoma" size="9"/>
				</textElement>
				<text><![CDATA[Dengan ini saya yang bertanda tangan dibawah ini :]]></text>
			</staticText>
			<textField>
				<reportElement x="10" y="59" width="410" height="17" uuid="1915a431-fec4-4fa1-b902-f7a52121c286"/>
				<textElement>
					<font fontName="Tahoma" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA["Telah menerima Dokumen BPKB dari  dengan rincian : "]]></textFieldExpression>
			</textField>
			<rectangle>
				<reportElement x="2" y="77" width="578" height="22" uuid="5839aec4-62f6-459f-aec6-143e5252a6ad"/>
			</rectangle>
			<staticText>
				<reportElement x="2" y="77" width="28" height="22" uuid="bd27d397-8e29-4198-818d-2b06840b9f5f"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[No]]></text>
			</staticText>
			<staticText>
				<reportElement x="30" y="77" width="60" height="22" uuid="fa347464-e7cf-4338-97e1-1af5b3c863ac"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[Nama BPKB]]></text>
			</staticText>
			<staticText>
				<reportElement x="90" y="78" width="70" height="21" uuid="9ad15923-7ab7-4294-aa7e-d66718210c24"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[Nomor 
Rangka]]></text>
			</staticText>
			<staticText>
				<reportElement x="160" y="78" width="70" height="21" uuid="10810506-1fb7-4655-9585-fe35f11cc926"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[Nomor 
Mesin]]></text>
			</staticText>
			<staticText>
				<reportElement x="230" y="78" width="70" height="21" uuid="1fcbc599-24a9-4139-ad93-a2a871b16940"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[Deskripsi 
Type]]></text>
			</staticText>
			<staticText>
				<reportElement x="300" y="78" width="57" height="21" uuid="ee696883-55b2-446f-8e7f-7fa5561875fc"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[Nomor 
Polisi]]></text>
			</staticText>
			<staticText>
				<reportElement x="357" y="78" width="57" height="21" uuid="3251edf4-b1ed-4dac-bdff-1e7951ba7a2c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[Nomor 
BPKB]]></text>
			</staticText>
			<staticText>
				<reportElement x="414" y="78" width="57" height="21" uuid="a05c0e3e-8355-47ee-a0e7-6801d0d33c52"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[Nama
Customer]]></text>
			</staticText>
			<staticText>
				<reportElement x="472" y="77" width="108" height="21" uuid="150ee6f3-686e-47d8-b1f1-00f13e9457db"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Tahoma" size="8"/>
				</textElement>
				<text><![CDATA[Alamat
Customer]]></text>
			</staticText>
			<staticText>
				<reportElement x="50" y="16" width="100" height="14" uuid="5393e7c7-78d7-49f3-a7b6-0b50c55ee021"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Nama]]></text>
			</staticText>
			<staticText>
				<reportElement x="50" y="30" width="100" height="14" uuid="bd247a17-35c3-4636-9706-ac440225b6f9"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Nomor Identitas]]></text>
			</staticText>
			<staticText>
				<reportElement x="50" y="44" width="100" height="15" uuid="d6a1854f-dbcb-45b7-9bcb-98064ab2a30d"/>
				<textElement verticalAlignment="Middle"/>
				<text><![CDATA[Tipe Pembayaran]]></text>
			</staticText>
			<textField>
				<reportElement x="150" y="16" width="130" height="14" uuid="d01c140a-8e93-4d8c-a727-b70bf38ae85c"/>
				<textElement verticalAlignment="Middle">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="150" y="30" width="130" height="14" uuid="752c6f04-232e-4b17-9af0-95eed361ffd5"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{identitynumber}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="150" y="44" width="130" height="14" uuid="e6635203-9001-4830-b864-be6ed1ce681c"/>
				<textElement verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{COLUMN_15}]]></textFieldExpression>
			</textField>
		</band>
	</columnHeader>
	<detail>
		<band height="32" splitType="Stretch">
			<rectangle>
				<reportElement x="2" y="-1" width="578" height="32" uuid="0bee0ea8-eee6-4d96-9bd3-a450f607a234"/>
			</rectangle>
			<line>
				<reportElement x="30" y="-22" width="1" height="53" uuid="ff1d86ca-02a1-4356-b1af-d9573c2c7a08"/>
			</line>
			<line>
				<reportElement x="90" y="-22" width="1" height="53" uuid="566cbf74-7d94-42e2-9114-455139f27f49"/>
			</line>
			<line>
				<reportElement x="160" y="-22" width="1" height="53" uuid="8ce1a4d0-0e0c-4176-8a0f-d20f03b9e443"/>
			</line>
			<line>
				<reportElement x="230" y="-22" width="1" height="53" uuid="537e07bb-c44a-4877-86cc-89de90b386e3"/>
			</line>
			<line>
				<reportElement x="300" y="-22" width="1" height="53" uuid="f28e6ff0-7eac-4635-b765-354a32db6ad5"/>
			</line>
			<line>
				<reportElement x="357" y="-22" width="1" height="53" uuid="9844aa47-a0d2-4f79-b5b5-ac987cda24ae"/>
			</line>
			<line>
				<reportElement x="413" y="-21" width="1" height="53" uuid="e5d7a40c-6101-413f-b528-4746346a4d2b"/>
			</line>
			<line>
				<reportElement x="471" y="-21" width="1" height="53" uuid="d2fdc534-149e-4d72-bd3a-aea46bb9404a"/>
			</line>
			<textField>
				<reportElement positionType="Float" x="30" y="0" width="60" height="31" uuid="dc1f6777-96db-48fd-b3db-3ea83ddbf9c0">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="81cab273-f991-4b6f-a444-f892cc6b8182"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nama_Bpkb}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="91" y="0" width="69" height="30" uuid="43b3a6ad-09af-4aba-a010-fe6258be9019">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="68243aea-0ef8-4a0d-bcf8-888fde658604"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{idframe}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="161" y="0" width="69" height="30" uuid="9db3d360-f859-4cdd-ade7-dc9c6c9c2dac">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="3107fc1f-2d35-497e-b640-b73547abdabe"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{idmachine}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="231" y="0" width="68" height="30" uuid="84e456dc-3630-414e-983d-fa5367efdfc7">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="3ec66b1d-0531-4fff-8ac0-9c70dcd1e6d5"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{description}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="301" y="0" width="56" height="30" uuid="7f30b30b-6e9b-48fe-bd8d-07ab55bce638">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="5f41d221-4abb-4c1d-a0f0-4a76111e4368"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{policenumber}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="358" y="-1" width="55" height="32" uuid="288dbeb6-763a-4221-bc14-869d7f169ab0">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="e9996d95-da47-4141-9b5a-c7504d4e03bb"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bpkbnumber}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="414" y="0" width="56" height="30" uuid="e2304157-4861-409f-9229-bd3bf35fa999">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="a40d569f-9f78-423e-8c5b-e17401f42b57"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nama_Customer}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="470" y="0" width="110" height="30" uuid="24da92b4-1c2b-4316-85c2-01ea50cb196a">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="a70e17f1-c55f-4aa5-aff1-8143b4a4ef5d"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{alamat}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="2" y="-1" width="28" height="30" uuid="38e21267-7c56-40f9-877c-bf4d6e6d099f"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{NoUrut}+1]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="91" splitType="Stretch">
			<staticText>
				<reportElement x="219" y="2" width="116" height="16" uuid="6a474f0e-9be4-4848-a5b5-f5d8d16d56ab"/>
				<textElement textAlignment="Center">
					<font fontName="Tahoma" size="9"/>
				</textElement>
				<text><![CDATA[Yang Menyerahkan]]></text>
			</staticText>
			<staticText>
				<reportElement x="393" y="2" width="116" height="15" uuid="700fa129-fe3b-49fd-84e5-05c993e6d07a"/>
				<textElement textAlignment="Center">
					<font fontName="Tahoma" size="9"/>
				</textElement>
				<text><![CDATA[Yang Mengetahui]]></text>
			</staticText>
			<staticText>
				<reportElement x="52" y="2" width="116" height="16" uuid="693eec9f-9881-4e14-826c-5f9b0e7579f1"/>
				<textElement textAlignment="Center">
					<font fontName="Tahoma" size="9"/>
				</textElement>
				<text><![CDATA[Yang Menerima]]></text>
			</staticText>
			<staticText>
				<reportElement x="1" y="59" width="456" height="32" uuid="f9404bf9-44ef-4271-a65e-4abe844799aa"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[Keterangan
1. Harus dilampiri fotocopy KTP penerima
2. Jika penerima bukan yang berhak sesuai dengan nama pemesanan (sesuai SPK / VSO), maka harus dilampiri surat kuasa
]]></text>
			</staticText>
			<textField>
				<reportElement x="401" y="40" width="100" height="19" uuid="c8a6df6c-0c69-4ef3-8a47-3042a99fa191"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{nama_Afc}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="60" y="40" width="100" height="18" uuid="2bc39ee7-390d-4664-bd09-258bf6d72ea0"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="219" y="40" width="116" height="18" uuid="c39c3cb2-4e79-4ce8-8601-9ddcda1ae414"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression><![CDATA[$P{userlogin}]]></textFieldExpression>
			</textField>
		</band>
	</columnFooter>
</jasperReport>
